data_ipv8 <- read.csv('ipv8_attest.csv')
data_ipv8_big <- read.csv('ipv8_attest_big.csv')
data_ipv8_range <- read.csv('ipv8_attest_range.csv')
data_ipv8_irma <- read.csv('ipv8_attest_irma.csv')
data_indy <- read.csv('ipv8_attest_indy.csv')
data_uport <- read.csv('ipv8_attest_uport.csv')
data_jolocom <- read.csv('ipv8_attest_jolocom.csv')

dataset_count <- 7
dataset_names <- c("1024 bit space", "Peng-Bao", "4096 bit space", "IRMA (CL Sig.)", "Hyperledger Indy", "uPort", "Jolocom")

pdf(file="perf_latency_enroll.pdf", pointsize=16, height=5)
par(mar = c(7, 4, 0, 0) + 0.2)
boxplot(data_ipv8$latency, data_ipv8_range$latency, data_ipv8_big$latency, data_ipv8_irma$latency, data_indy$latency, data_uport$latency, data_jolocom$latency,
xlab="", ylim=c(0.0,3.0), ylab="latency (s)")
text(1:dataset_count, par("usr")[3]-0.25, srt = 60, adj = 1, xpd = TRUE, cex = 1.0, labels = dataset_names)
abline(v=4.5, lty=2)
dev.off()

pdf(file="perf_traffic_enroll.pdf", pointsize=16, height=5)
par(mar = c(7, 4, 1, 0) + 0.2)
boxplot(data_ipv8$traffic, data_ipv8_range$traffic, data_ipv8_big$traffic, data_ipv8_irma$traffic, data_indy$traffic, data_uport$traffic, data_jolocom$traffic,
xlab="", ylim=c(0.0,30000.0), ylab="traffic (bytes)")
text(1:dataset_count, par("usr")[3]-2700.1, srt = 60, adj = 1, xpd = TRUE, cex = 1.0, labels = dataset_names)
abline(v=4.5, lty=2)
dev.off()

pdf(file="perf_cpu_enroll.pdf", pointsize=16, height=5)
par(mar = c(7, 4, 0.5, 0) + 0.2)
boxplot(data_ipv8$cpu, data_ipv8_range$cpu, data_ipv8_big$cpu, data_ipv8_irma$cpu, data_indy$cpu, data_uport$cpu, data_jolocom$cpu,
xlab="", ylim=c(0.0,100.0), ylab="cpu usage (%)")
text(1:dataset_count, par("usr")[3]-8.1, srt = 60, adj = 1, xpd = TRUE, cex = 1.0, labels = dataset_names)
abline(v=4.5, lty=2)
dev.off()